%define name     xfig
%define version  3.2.5
%define aversion alpha5
%define release  0.1mdk
%define epoch    1

Summary:	An X Window System tool for drawing basic vector graphics
Name:		%{name}
Version:	%{version}
Epoch:	 	%{epoch}
Release:	%{release}
License:	MIT
Group:		Graphics
# needs rman to build
BuildRequires:	XFree86
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRequires:	xpm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
URL:		http://www.xfig.org/xfigdist/
Source0:	http://www.xfig.org/xfigdist/%{name}.%version-%aversion.full.tar.bz2
Source1:	xfig.png
Source2:	xfig_menuentry
Source3:	xfig-mini.png
Source4:	xfig-large.png
Patch:		xfig-3.2.5-config.patch.bz2
Patch2: 	xfig-3.2.5-readers.patch.bz2
#Patch3:    xfig-3.2.4-Xaw3d-1.5E.patch.bz2
Requires:	transfig >= 3.2.5
Buildroot:	%{_tmppath}/%{name}-root

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.%version-%aversion
%patch -p1 -b .config
%patch2 -p1
#%patch3 -p0

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile

%ifarch alpha
find -name Makefile | xargs perl -pi -e "s|-O2||g"
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
# Hack around an ugly problem for now. --Geoff
mkdir -p Doc/Doc
cp -f Doc/xfig.man Doc/Doc/xfig.man
make DESTDIR=$RPM_BUILD_ROOT install install.man install.libs install.doc

# Menu Entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_menudir}/xfig
#clean zero-length file
rm -f %{buildroot}%{_docdir}/xfig/html/images/sav1a0.tmp

# (fg) 10000918 Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{mini,large}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/xfig.png
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_liconsdir}/xfig.png
rm -f %buildroot%_prefix/X11R6/lib/X11/app-defaults
#gw alternative colour scheme
install -m644 Fig-color.bisque.ad %buildroot%{_sysconfdir}/X11/app-defaults/Fig-color

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%doc Doc/FORMAT* Doc/TODO Doc/xfig-howto.* 
%doc Fig-color.blue.ad Fig-color.classic.ad Fig-color.ad
%doc %{_prefix}/X11R6/lib/X11/doc/html/xfig.1.html
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/lib/X11/xfig
%{_prefix}/X11R6/man/*/*
%{_docdir}/%{name}
%{_menudir}/xfig
%{_iconsdir}/xfig.png
%{_miconsdir}/xfig.png
%{_liconsdir}/xfig.png

%changelog 
* Sun Mar 27 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- merged patch4 (David Hawkey's Xaw3D version 1.5E) 
- use www-browser instead of BROWSER var
- fix freeze under KDE/GNOME and other wm (#13607)
- alpha release

* Sat Feb  5 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.4-7mdk
- patched to prevent segfaults when File or Edit menu are clicked (#13366)
  (thanx to mslaviero and emmanuel for pointing this out)

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 3.2.4-6mdk
- Fix BuildRequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 3.2.4-5mdk
- Fix menu

* Wed Jan 28 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.4-4mdk
- add additional app defaults to the docs
- use another colour scheme
- remove unpackaged symlink
- patch to enable xpm, Xaw3d, inline and wheel mouse support

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.2.4-3mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%make macro

* Thu Jan 23 2003 Daouda LO <daouda@mandrakesoft.com> 3.2.4-2mdk
- install.doc [ Thanx Dean S. Messing (deans at sharplabs dot com) ]
- cleanup (xpm -> png, remove redundant doc, zero-length file ...)

* Tue Jan  7 2003 Daouda LO <daouda@mandrakesoft.com> 3.2.4-1mdk
- release 3.2.4
	* Lot of enhancements/bugfixes 
	  (for Details, see http://www.xfig.org/xfigdist/xfig.README.3.2.4)
- spec cleanup

* Mon Jun 10 2002 Daouda LO <daouda@mandrakesoft.com> 3.2.3d-6mdk
- obsolted serial
- add URL
- right permissions 
- cleanup (remove patches not applied

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 3.2.3d-5mdk
- Rebuilt for libpng3.

* Tue Jul 31 2001 Daouda LO <daouda@mandrakesoft.com> 3.2.3d-4mdk
- use xpdf as default pdf reader (guran)
- use $BROWSER instead of netscape.
- macroz.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.3d-3mdk
- BuildRequires: libpng-devel

* Sat Jun 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-2mdk
- Run the install.libs rule on install (Seb).

* Sun Jun 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-1mdk
- Bump up to 3.2.3d.
- Icons are now in correct pixels (Seb).
- s/Copyright/License/;
- Some documentation installation stupidities no longer exist.

* Tue Mar  6 2001  <daouda@ke.mandrakesoft.com> 3.2.3c-4mdk
- add html+pdf docs 
- add conf files 

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 3.2.3c-3mdk

- Large and normal icons, all icons moved to %{_iconsdir}
- Some spec file fixes

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.2.3c-2mdk
- automatically added BuildRequires

* Thu Aug 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3c-1mdk
- new version 
- rebuild with serial (thisreallysucks)

* Wed May 31 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-4mdk
- fixed group

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.3_beta1-3mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot
- Clean up spec

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3_beta1-2mdk
- xfig needs transfig 3.2.3 (lebsack)

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-1mdk
- Mandrake adaptations
- Menu entry

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- upgrade to beta1 of 2.2.3.  Hopefully this fixes outstanding issues.
- no need for vararg fix, commented out

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- add icon
- don't compile with optimization on alpha

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- converted to use a .desktop file

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
